CCR(4)

NAME
ccr - Chelsio T6 crypto accelerator driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device ccr
device cxgbe

To load the driver as a module at boot time, place the following line in loader.conf(5):

    ccr_load="YES"

DESCRIPTION
The ccr driver provides support for the crypto accelerator engine included on PCI Express Ethernet adapters based on the Chelsio Terminator 6 ASIC (T6). The driver accelerates AES-CBC, AES-CTR, AES-GCM, AES-XTS, SHA1-HMAC, SHA2-256-HMAC, SHA2-384-HMAC, and SHA2-512-HMAC operations for crypto(4) and ipsec(4). The driver also supports chaining one of AES-CBC, AES-CTR, or AES-XTS with SHA1-HMAC, SHA2-256-HMAC, SHA2-384-HMAC, or SHA2-512-HMAC for encrypt-then-authenticate operations. For further hardware information and questions related to hardware requirements, see http://www.chelsio.com/.

The ccr driver attaches as a child of an existing Chelsio NIC device and thus requires that the cxgbe(4) driver be active.

HARDWARE
The ccr driver supports the crypto accelerator engine included on adapters based on the T6 ASIC:

•   Chelsio T6225-CR
•   Chelsio T6225-SO-CR
•   Chelsio T62100-LP-CR
•   Chelsio T62100-SO-CR
•   Chelsio T62100-CR

SUPPORT
For general information and support, go to the Chelsio support website at: http://www.chelsio.com/.

If an issue is identified with this driver with a supported adapter, email all the specific information related to the issue to <support@chelsio.com>.

SEE ALSO
crypto(4), cxgbe(4), ipsec(4)

HISTORY
The ccr device driver first appeared in FreeBSD 12.0.

AUTHORS
-nosplit The ccr driver was written by John Baldwin <jhb@FreeBSD.org>.